Incidencia #44389

qt client improvement city dlog

Abrir Fecha: 2022-04-16 09:24 Última actualización: 2022-06-23 22:16

Informador:
Propietario:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
5

Details

qt client improvement request

In the city dialog, Worklist section, the thing you click on to change current production has text that is very difficult to read, it's too small and obscured by the progress indicator. Would like to separate the progress indicator out into its own thing, and either make the text bigger or, better, have it use one of the fonts that can be set in the local options font tab. Taking up more vertical space is not a problem because that whole area is scrollable.

Ticket History (3/22 Histories)

2022-04-16 09:24 Updated by: ddeanbrown
  • New Ticket "qt client improvement city dlog" created
2022-04-16 09:48 Updated by: ddeanbrown
  • Componente Update from (Ninguno) to Qt-client
2022-06-15 10:45 Updated by: cazfi
Comentario

Can you attach a screenshot how it looks like in your system? For me the font is rather large. In fact, everything is a bit large in citydlg, meaning that you have to do annoyingly lot of scrolling of various areas to see all the information. On a 1920x1080 screen.

2022-06-15 10:56 Updated by: cazfi
Comentario

I think it uses the "default font". For me that is (from ~/.freeciv/freeciv-client-rc-3.2): gui_qt_font_default="Liberation Sans,15,-1,5,50,0,0,0,0,0"

2022-06-15 12:23 Updated by: ddeanbrown
Comentario

Classic theme is worse with white text on grey background. My display is 1920x1200. Wonder if there's a difference between Mac and other platforms (this is on a Mac).

2022-06-15 12:36 Updated by: ddeanbrown
Comentario

I tried changing the default font and it made no difference.

The Freeciv21 version from the longturn fork has a very different design of the city dialog, which I prefer. Still has the problem of the progress bar obscuring the text, but the text is more readable. Example screenshot attached.

2022-06-15 12:45 Updated by: cazfi
Comentario

Attached my own screenshot of the worklist area, which has quite different fonts.

2022-06-15 13:10 Updated by: cazfi
Comentario

Reply To ddeanbrown

I tried changing the default font and it made no difference.

Looking at the code, the font seems to be applied only when the setting *changes*. I don't see it set anywhere when starting the game up with existing settings -> if that's the case, it might explain this whole issue. In any case it's a bug in itself.

2022-06-15 13:25 Updated by: cazfi
2022-06-15 13:25 Updated by: cazfi
  • File 0041-Qt-Set-up-proper-fonts-when-the-client-starts.patch (File ID: 9513) is deleted
2022-06-15 13:27 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
  • Hito Update from (Ninguno) to 3.0.3
Comentario

Reply To cazfi

Reply To ddeanbrown

I tried changing the default font and it made no difference.

Looking at the code, the font seems to be applied only when the setting *changes*. I don't see it set anywhere when starting the game up with existing settings

Fix for that attached, and it makes a difference for me (I actually get a bit smaller font). Plan to push that even to S2_6.

2022-06-18 05:05 Updated by: ddeanbrown
Comentario

Testing some more on my Mac - what I see is changing the default font and clicking "Apply" button does not immediately change anything being currently displayed using the default font. Dlogs using the default font that are not currently visible show the change when they are re-displayed, e.g. the options dlog or the "confirm quit" dlog. Except the city dlog - it only shows the change after quitting and restarting. Same behavior with the message text box. Applying the patch did not have any affect. This is a different enough issue that I've opened a new ticket for it - #44850.

2022-06-18 12:13 Updated by: cazfi
Comentario

Reply To ddeanbrown

Applying the patch did not have any affect.

As the patch fixes how the fonts are taken to use in the client launch, did you restart the client after setting the font you want (and saving the settings)?

2022-06-18 13:28 Updated by: ddeanbrown
Comentario

Yes, having to restart the client to see the change was what led me to create the new ticket.

2022-06-20 23:38 Updated by: cazfi
Comentario

Reply To ddeanbrown

Applying the patch did not have any affect.

So, either there's second bug, or the fix was not completely sufficient for the identified one.

I see myself that in some cases (i.e. in my own environment) the patch makes a big difference. With no certainty when we manage to figure out what more it requires to get it working also in your system, I think this should be pushed in as is, and a new ticket opened about debugging your additional issues.

2022-06-21 00:09 Updated by: cazfi
Comentario

There's quite a number of other Qt-client's font handling tickets active at the moment. The ones about settings handling problems are related in that font information is stored to those settings: #44838, #44034, #44836, #44839, #44850, #44851, #44864 - and more to be opened. It might be better to re-evaluate the situation once more of those have landed (in S3_1, as many of those are not targeted to S3_0)

2022-06-22 20:11 Updated by: cazfi
Comentario

Reply To cazfi

a new ticket opened about debugging your additional issues.

-> #44906

2022-06-23 22:16 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Attachment File List

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar